Security Enhanced Linux Reference Policy

# Layer: admin

## Module: firstboot

Interfaces

### Description:

Final system configuration run during the first boot after installation of Red Hat/Fedora systems.

### Interfaces:

firstboot_domtrans( domain )

##### Summary

Execute firstboot in the firstboot domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | The type of the process performing this action.

firstboot_dontaudit_rw_pipes( domain )

##### Summary

Do not audit attemps to read and write to a firstboot unnamed pipe.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain to not audit.

firstboot_dontaudit_rw_stream_sockets( domain )

##### Summary

Do not audit attemps to read and write to a firstboot unix domain stream socket.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain to not audit.

firstboot_dontaudit_use_fds( domain )

##### Summary

Do not audit attempts to inherit a file descriptor from firstboot.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain to not audit.

firstboot_run( domain , role )

##### Summary

Execute firstboot in the firstboot domain, and allow the specified role the firstboot domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | The type of the process performing this action.
role | The role to be allowed the firstboot domain.

firstboot_rw_pipes( domain )

##### Summary

Read and Write to a firstboot unnamed pipe.

##### Parameters

Parameter: | Description:
--- | ---
domain | The type of the process performing this action.

firstboot_use_fds( domain )

##### Summary

Inherit and use a file descriptor from firstboot.

##### Parameters

Parameter: | Description:
--- | ---
domain | The type of the process performing this action.

firstboot_write_pipes( domain )

##### Summary

Write to a firstboot unnamed pipe.

##### Parameters

Parameter: | Description:
--- | ---
domain | The type of the process performing this action.

Return